Package org.apache.any23.configuration

## Class DefaultConfigurationTest

- java.lang.Object
- - org.apache.any23.configuration.DefaultConfigurationTest

-     public class DefaultConfigurationTest
      extends Object

  Test case for `Configuration` class.
  Author:
    Michele Mostarda (michele.mostarda@gmail.com)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultConfigurationTest()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setUp()` |
    `void` | `tearDown()` |
    `void` | `testCopyAccessor()` |
    `void` | `testCopyIsolation()` |
    `void` | `testDefineProperty()` |
    `void` | `testGetFlagProperty()` |
    `void` | `testGetProperties()` |
    `void` | `testGetProperty()` |
    `void` | `testGetPropertyIntOrFailNok()` |
    `void` | `testGetPropertyIntOrFailOk()` |
    `void` | `testGetPropertyOrFailNok()` |
    `void` | `testGetPropertyOrFailOk()` |
    `void` | `testGetPropertySysOverride()` |
    `void` | `testModifiableConfigurationFail()` |
    `void` | `testModifiableConfigurationSuccess()` |
    `void` | `testSingletonAccessor()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultConfigurationTest

          public DefaultConfigurationTest()

  - ### Method Detail

    - #### setUp

          public void setUp()

    - #### tearDown

          public void tearDown()

    - #### testSingletonAccessor

          public void testSingletonAccessor()

    - #### testCopyAccessor

          public void testCopyAccessor()

    - #### testCopyIsolation

          public void testCopyIsolation()

    - #### testModifiableConfigurationSuccess

          public void testModifiableConfigurationSuccess()

    - #### testModifiableConfigurationFail

          public void testModifiableConfigurationFail()

    - #### testGetProperties

          public void testGetProperties()

    - #### testDefineProperty

          public void testDefineProperty()

    - #### testGetProperty

          public void testGetProperty()

    - #### testGetPropertySysOverride

          public void testGetPropertySysOverride()

    - #### testGetPropertyOrFailOk

          public void testGetPropertyOrFailOk()

    - #### testGetPropertyOrFailNok

          public void testGetPropertyOrFailNok()

    - #### testGetPropertyIntOrFailOk

          public void testGetPropertyIntOrFailOk()

    - #### testGetPropertyIntOrFailNok

          public void testGetPropertyIntOrFailNok()

    - #### testGetFlagProperty

          public void testGetFlagProperty()